> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.erp.olist.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter forma de recebimento



## OpenAPI

````yaml https://erp.olist.com/public-api/v3/swagger/swagger-mintlify.json get /formas-recebimento/{idFormaRecebimento}
openapi: 3.0.0
info:
  title: Olist ERP API v3
  description: >-
    Documentação completa: <a href="https://api-docs.erp.olist.com"
    target="_blank">https://api-docs.erp.olist.com</a>
  version: '3.1'
servers:
  - url: https://api.tiny.com.br/public-api/v3
security: []
paths:
  /formas-recebimento/{idFormaRecebimento}:
    get:
      tags:
        - Formas de recebimento
      summary: Obter forma de recebimento
      operationId: ObterFormaRecebimentoAction
      parameters:
        - $ref: >-
            #/components/parameters/get_formas_recebimento_idFormaRecebimento_idFormaRecebimento
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ObterFormaRecebimentoResponseModel'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDTO'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
        '503':
          description: Service Unavailable
      security:
        - bearerAuth: []
components:
  parameters:
    get_formas_recebimento_idFormaRecebimento_idFormaRecebimento:
      name: idFormaRecebimento
      in: path
      required: true
      schema:
        type: integer
  schemas:
    ObterFormaRecebimentoResponseModel:
      title: ' '
      description: ' '
      allOf:
        - $ref: '#/components/schemas/FormaRecebimentoModel'
        - properties: {}
          type: object
    ErrorDTO:
      title: ' '
      description: ' '
      properties:
        mensagem:
          description: Mensagem de erro geral
          type: string
          example: Ocorreram erros de validação
        detalhes:
          description: Detalhes específicos do erro
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetailDTO'
          example:
            - campo: codigo
              mensagem: O campo código é obrigatório
          nullable: true
      type: object
    FormaRecebimentoModel:
      title: ' '
      description: ' '
      type: object
      allOf:
        - properties:
            id:
              type: integer
            nome:
              type: string
              nullable: true
            situacao:
              description: |-

                - 1 - Habilitada
                - 2 - Desabilitada
              type: string
              enum:
                - 1
                - 2
              nullable: true
              x-enumDescriptions:
                - 1 - Habilitada
                - 2 - Desabilitada
          type: object
    ErrorDetailDTO:
      title: ' '
      description: ' '
      properties:
        campo:
          description: Campo que gerou o erro
          type: string
          example: codigo
        mensagem:
          description: Mensagem de erro específica do campo
          type: string
          example: O campo código é obrigatório
      type: object
  securitySchemes:
    bearerAuth:
      type: http
      scheme: Bearer

````